itpp::Audio_Sample< Audio_Encoding > Class Template Reference
Source Coding Module » Audio

Generic template class for Audio samples. More...

## Detailed Description

template<Audio_Encoding>
class itpp::Audio_Sample< Audio_Encoding >

Generic template class for Audio samples.

Specializations of this class provide encoding and decoding facilities for various representations of audio samples. Encoding inputs are limited to [-1.0,1.0] range. Decoding outputs are scaled to [-1.0,1.0] range.

Definition at line 99 of file audiosample.h.

The documentation for this class was generated from the following file:

- itpp/srccode/audiosample.h

Generated on Mon Jun 10 2024 11:49:33 for IT++ by Doxygen 1.9.8